ENTRY(_reset)

MEMORY { mem : ORIGIN = 0x00200000, LENGTH = 4k }

SECTIONS {
  .text : { *(.text) *(.rodata*) } >mem
  . = ALIGN(4);
  __etext = . ;

  .eh_frame : { *(.eh_frame) } >mem
  . = ALIGN(4);
  __etext = . ;

  .data : { *(.data) } >mem

  . = ALIGN(4);
  __bss_start = .;

  .bss (NOLOAD) : { *(.bss) } >mem

  . = ALIGN(4);
  __bss_end = .;
  __stack = 0x00201000;
}
